Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1115702 - Review Request: nodejs-postcss - Framework for CSS postprocessors with full source map support
Summary: Review Request: nodejs-postcss - Framework for CSS postprocessors with full s...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1115661 1131309
Blocks: nodejs-reviews 1115660
TreeView+ depends on / blocked
 
Reported: 2014-07-02 21:08 UTC by Ralph Bean
Modified: 2016-04-04 16:07 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-04 16:07:15 UTC
tom: fedora-review?


Attachments (Terms of Use)

Description Ralph Bean 2014-07-02 21:08:38 UTC
Spec URL: http://ralph.fedorapeople.org//nodejs-postcss.spec
SRPM URL: http://ralph.fedorapeople.org//nodejs-postcss-1.0.0-1.fc20.src.rpm

Description:
PostCSS is a framework for CSS postprocessors, to modify CSS with JavaScript
with full source map support.

Comment 1 Tom Hughes 2014-08-17 17:37:46 UTC
I suspect this should probably be packaged from github, as the javascript in the NPM tar ball is not the original upstream code - it has been generated from the source code in the git repo using the gulpfile.

Unfortunately that's probably going to add a load of dependencies...

Comment 2 Ralph Bean 2014-08-18 20:39:46 UTC
It looks like the only thing that the gulpfile does (as far as building goes) is to remove a dep on es6-transpiler.  Here's a new release with:

 - Latest upstream.                         
 - Github tarball instead of npmjs.     
 - Specify noarch.                          
 - Remove es6-transpiler in the prep section in lieu of gulp.

By removing es6-transpiler ourselves, we can (hopefully) avoid packaging gulp for now.  What do you think?

Spec URL: http://threebean.org/rpm/SPECS/nodejs-postcss.spec
SRPM URL: http://threebean.org/rpm/SRPMS/nodejs-postcss-2.2.0-1.fc20.src.rpm

Comment 3 Tom Hughes 2014-08-18 21:33:06 UTC
Well the point is that the gulpfile runs es6-transpiler on the source to create the js that goes in the npm tar ball - the build:lib task.

Other than that, this has a dependency on js-base64 which doesn't seem to be packaged yet.

Comment 4 Ralph Bean 2014-08-19 01:41:59 UTC
js-base64, huh?  which is.. not the same as base64-js.  https://bugzilla.redhat.com/show_bug.cgi?id=1115661

Comment 5 Ralph Bean 2014-09-12 18:56:16 UTC
Tom, it's not clear to me which side of this you come down on.  Do I need to also package gulp, es6-transpiler, and their deps to move forward here?  (js-base64 is now taken care of).

Comment 6 Tom Hughes 2014-09-15 08:09:41 UTC
Well you can probably get away without gulp, and just run transpiler directly in the spec but I don't see any way to avoid transpiler if we're genuinely going to package from source.

You could always ask on the fedora nodejs list and see if people have any suggestions?

Comment 7 Piotr Popieluch 2015-08-18 06:47:54 UTC
Ralph,

It seems that in the newer versions the dependency on es6-transpiler is dropped. 

Could you please check if you can update to the latest version?

Comment 8 Piotr Popieluch 2015-08-30 19:07:37 UTC
I've update to 5.0.3, this eliminates the dependency on es6-transpiler but adds a new dep on nodejs-babel-core which has many missing dependencies.


Spec URL: https://piotrp.fedorapeople.org/nodejs-postcss.spec
SRPM URL: https://piotrp.fedorapeople.org/nodejs-postcss-5.0.3-1.fc22.src.rpm

Comment 9 Jared Smith 2015-10-08 14:39:57 UTC
Doing an informal package review to help keep the ball rolling here... Other than the rpmlint errors caused by the commented Source0 line in the spec file, this package is looking good to me.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 87 files have
     unknown license. Detailed output of licensecheck in
     /home/jsmith/Documents/Personal/Reviews/1115702-nodejs-
     postcss/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 122880 bytes in 6 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
     See: http://fedoraproject.org/wiki/Packaging:Guidelines#Tags
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[-]: Packages should try to preserve timestamps of original installed
     files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Spec file according to URL is the same as in SRPM.



Rpmlint
-------
Checking: nodejs-postcss-5.0.3-1.fc22.noarch.rpm
          nodejs-postcss-5.0.3-1.fc22.src.rpm
nodejs-postcss.noarch: W: spelling-error Summary(en_US) postprocessors -> post processors, post-processors, microprocessors
nodejs-postcss.noarch: W: spelling-error %description -l en_US postprocessors -> post processors, post-processors, microprocessors
nodejs-postcss.noarch: W: only-non-binary-in-usr-lib
nodejs-postcss.noarch: W: dangling-symlink /usr/lib/node_modules/postcss/node_modules/babel-core /usr/lib/node_modules/babel-core
nodejs-postcss.noarch: W: dangling-symlink /usr/lib/node_modules/postcss/node_modules/source-map /usr/lib/node_modules/source-map
nodejs-postcss.noarch: W: dangling-symlink /usr/lib/node_modules/postcss/node_modules/supports-color /usr/lib/node_modules/supports-color
nodejs-postcss.noarch: W: dangling-symlink /usr/lib/node_modules/postcss/node_modules/js-base64 /usr/lib/node_modules/js-base64
nodejs-postcss.src: W: spelling-error Summary(en_US) postprocessors -> post processors, post-processors, microprocessors
nodejs-postcss.src: W: spelling-error %description -l en_US postprocessors -> post processors, post-processors, microprocessors
nodejs-postcss.src:21: W: macro-in-comment %{barename}
nodejs-postcss.src:21: W: macro-in-comment %{barename}
nodejs-postcss.src:21: W: macro-in-comment %{version}
nodejs-postcss.src: E: specfile-error warning: Macro expanded in comment on line 21: #Source0:            http://registry.npmjs.org/%{barename}/-/%{barename}-%{version}.tgz
nodejs-postcss.src: E: specfile-error 
nodejs-postcss.src: E: specfile-error warning: Macro expanded in comment on line 21: #Source0:            http://registry.npmjs.org/%{barename}/-/%{barename}-%{version}.tgz
2 packages and 0 specfiles checked; 3 errors, 12 warnings.




Requires
--------
nodejs-postcss (rpmlib, GLIBC filtered):
    nodejs(engine)
    npm(babel-core)
    npm(js-base64)
    npm(source-map)
    npm(supports-color)



Provides
--------
nodejs-postcss:
    nodejs-postcss
    npm(postcss)



Source checksums
----------------
https://github.com/postcss/postcss/archive/264236ca59694593ffe091e3b75b0f42154d3561.tar.gz#/postcss-264236c.tar.gz :
  CHECKSUM(SHA256) this package     : b170b7b322962ae3aa08f072470136e975605a43f799244d96fdb5fc3423cd2f
  CHECKSUM(SHA256) upstream package : b170b7b322962ae3aa08f072470136e975605a43f799244d96fdb5fc3423cd2f


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1115702
Buildroot used: fedora-22-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 10 Piotr Popieluch 2015-11-11 20:20:14 UTC
The new version depends on babel which is not packaged yet.

Comment 11 Ralph Bean 2016-04-04 16:07:15 UTC
I'm no longer pursuing this one.  Thanks to everyone for the assistance here.


Note You need to log in before you can comment on or make changes to this bug.